@use '../../../global/styles/typography';
@use '../../../global/styles/border';
@use '../../../global/styles/breakpoint';

:host {
	::slotted([slot^='heading']) {
		@include typography.heading(4);
	}

	::slotted(li) {
		min-height: var(--digi--height--button-small);
		display: flex;
		align-items: center;
		padding-inline: var(--digi--gutter--large);
		border-radius: var(--digi--border-radius--primary);

		a {
			text-decoration: none;

			&:hover {
				text-decoration: underline;
			}

			&:focus,
			&:focus-visible {
				outline: none;
			}
		}

		&:not(:active):focus-within {
			outline: var(--digi--focus-outline);
		}
	}
}

.digi-navigation-toc {
	padding-block-end: var(--digi--gutter--smallest-4);
	border-inline-start: border.$box;
	border-inline-start-color: var(--digi--color--background--tertiary);
	border-inline-start-width: 6px;

	@include breakpoint.medium {
		padding-block-end: var(--digi--gutter--small);
	}
}

.digi-navigation-toc__heading:not(:empty) {
	min-height: var(--digi--height--button-small);
	display: flex;
	align-items: center;
	padding-inline: var(--digi--gutter--large);
}

.digi-navigation-toc__items {
	list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
	flex-direction: column;
}
